#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           akonadi-mime
Version: 20.12.0
Release:        %mkrel %{rel}
Summary:        Akonadi Mime Integration
License:        GPLv2+ and LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)

BuildRequires:  kf5-macros

BuildRequires:  cmake(KF5Akonadi) >= 5.3.1

BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5XmlGui)

BuildRequires:  xsltproc
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(shared-mime-info)


%description
Akonadi Mime Integration.

%files -f %name.lang
%_kf5_categoriesdir/akonadi-mime.categories
%_kf5_datadir/config.kcfg/specialmailcollections.kcfg
%_kf5_datadir/mime/packages/x-vnd.kde.contactgroup.xml
%_kf5_datadir/akonadi/plugins/serializer/akonadi_serializer_mail.desktop
%_qt5_plugindir/akonadi_serializer_mail.so

#--------------------------------------------------------------------

%define kf5akonadimime_major 5
%define libkf5akonadimime %mklibname kf5akonadimime %{kf5akonadimime_major}

%package -n %{libkf5akonadimime}
Summary:        Akonadi Mime Integration main library
Group:          System/Libraries

%description -n %{libkf5akonadimime}
Akonadi Mime Integration main library.

%files -n %{libkf5akonadimime}
%_kf5_libdir/libKF5AkonadiMime.so.%{kf5akonadimime_major}{,.*}

#--------------------------------------------------------------------

%define kf5akonadimime_devel %mklibname kf5akonadimime -d

%package -n %{kf5akonadimime_devel}
Summary:        Devel stuff for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}
Requires:       %{libkf5akonadimime} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
# removed upstream
Obsoletes:      kdepimlibs-devel < 16.04.3-2
Provides:       kdepimlibs-devel = %{version}-%{release}

%description -n %{kf5akonadimime_devel}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{kf5akonadimime_devel}
%_kf5_includedir/Akonadi/KMime/
%_kf5_includedir/akonadi/kmime/
%_kf5_includedir/*_version.h
%_kf5_libdir/*.so
%_kf5_libdir/cmake/KF5AkonadiMime/
%_kf5_mkspecsdir/*.pri

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655520
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1643906
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633711
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1626964
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1614828
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604028
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596759
- New version 20.04.2

* Sat May 16 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584411
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568042
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559232
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540429
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513202
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1466847
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1457806
- New version 19.08.3

* Fri Sep 27 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1447177
- New version 19.08.1

* Tue Jul 30 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425679
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390355
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387559
- New version 19.03.90

* Fri Mar 29 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1381217
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375431
- New version 18.12.3

* Sat Feb 16 2019 neoclust <neoclust> 18.12.2-2.mga7
+ Revision: 1367560
- Add conflicts to ease upgrade

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365474
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356409
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 18.12.0-1.mga7
+ Revision: 1339423
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332654
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327307
- New version 18.08.2

* Fri Sep 21 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1294244
- Mageia 7 Mass Rebuild

* Thu Jun 28 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1240573
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201804
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-1.mga7
+ Revision: 1194828
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1186364
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1142945
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136646
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 17.04.3-2.mga7
+ Revision: 1133530
- Fix for new find_lang

* Tue Jul 25 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1130658
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1089983
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076718
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1071936
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067253
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061312
- New version 16.08.2

* Tue Sep 13 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1051949
- New version 16.08.1

* Wed Sep 07 2016 neoclust <neoclust> 16.08.0-3.mga6
+ Revision: 1050298
- Rebuild on release

* Tue Aug 23 2016 daviddavid <daviddavid> 16.08.0-2.mga6
+ Revision: 1047943
- obsoletes/provides kdepimlibs-devel removed upstream

* Mon Aug 22 2016 daviddavid <daviddavid> 16.08.0-1.mga6
+ Revision: 1047699
- imported package akonadi-mime

